* {
	--main-bg-color: rgb(255,255,255);
	--element-bg-color: rgba(40,40,40);
	--shadow-color: rgb(0,0,0);
	/*--text-color: rgb(190, 190, 190);*/
	--text-color: black;
	--menu-color: rgba(70,70,70);
	--button-color: rgb(32, 105, 224);
	--button-selected-color: rgb(8, 44, 108);
}

html, body {
	background: var(--main-bg-color);
	font-family: system-ui;
	color: var(--text-color);
}

html, body, div#nodesContainer {
	padding: 0; margin: 0;
	width: 100%; height: 100%;
}
canvas#canvas, div#nodesContainer {
	position: fixed;
}

#contextmenu {
	display: none;
}
#contextmenu hr { margin: 0; padding: 0; border: 1px solid lightgray; }
#contextmenu.visible {
	position: fixed; display: block;
	border: 1px solid lightgray;
	z-index: 100; background: white;
	cursor: default;
	-webkit-box-shadow: 2px 2px 5px var(--shadow-color);
	box-shadow: 2px 2px 5px var(--shadow-color);
	color: var(--text-color);
}
.contextmenuoption { padding: 4px; user-select: none; }
.contextmenuoption:hover { background: lightgray; }

div#nodesContainer div.visualNode {
	-webkit-box-shadow: 0 0 2px black; box-shadow: 0 0 2px black; border-radius: 5px;
	position: fixed;
	background: white;
	white-space: pre;
	transition: box-shadow .2s, -webkit-box-shadow .2s;
	user-select: none;
}
div#nodesContainer div.visualNode.active {
	-webkit-box-shadow: 5px 5px 5px var(--shadow-color);
	box-shadow: 5px 5px 5px var(--shadow-color);
	transition: box-shadow .2s, -webkit-box-shadow .2s;
}
div#nodesContainer div.visualNode div.titlebar {
	background: darkgray;
	color: white; font-size: 150%;
	text-align: center;
	cursor: move;
	border-radius: 5px;
}

button#microphone {
	position: fixed;
	right: 0; bottom: 0;
}

/* EDIT MENU */

div#actions {
	position: fixed;
	top: 0; left: 0;
	width: 100%;
	background: var(--element-bg-color);
	height: 20px;
	font-size: 15px;
	cursor: default;
	user-select: none;
	z-index: 100000;
}
div.dropdown {
	display: inline-block;
	position: relative;
	user-select: none;
	cursor: default;
}
div.dropdown:not(:hover) div.dropdown-options {
	display: none;
}
div.dropdown-title {
	padding: 0 5px;
}
div.dropdown:hover div.dropdown-title {
	background: var(--menu-color);
}
div.dropdown-options hr {
	margin: 1px 5px;
	border-color: rgba(0,0,0,0.3);
}
div.dropdown-options {
	background: var(--menu-color);
	position: absolute;
	display: block;
	white-space: nowrap;
}
div.dropdown-option {
	padding: 0 10px;
}
div.dropdown-option:hover {
	background: var(--button-color);
}